Bullet Collision Detection & Physics Library: btSpatialTransformationMatrix Struct Reference

Bullet Collision Detection & Physics Library

Public Types | Public Member Functions | Public Attributes | List of all members
btSpatialTransformationMatrix Struct Reference

`#include <btSpatialAlgebra.h>`

Collaboration diagram for btSpatialTransformationMatrix:
[legend]

## Public Types
enum | eOutputOperation { None = 0, Add = 1, Subtract = 2 }

## Public Member Functions
template<typename SpatialVectorType >
void | transform (const SpatialVectorType &inVec, SpatialVectorType &outVec, eOutputOperation outOp=None)
template<typename SpatialVectorType >
void | transformRotationOnly (const SpatialVectorType &inVec, SpatialVectorType &outVec, eOutputOperation outOp=None)
template<typename SpatialVectorType >
void | transformInverse (const SpatialVectorType &inVec, SpatialVectorType &outVec, eOutputOperation outOp=None)
template<typename SpatialVectorType >
void | transformInverseRotationOnly (const SpatialVectorType &inVec, SpatialVectorType &outVec, eOutputOperation outOp=None)
void | transformInverse (const btSymmetricSpatialDyad &inMat, btSymmetricSpatialDyad &outMat, eOutputOperation outOp=None)
template<typename SpatialVectorType >
SpatialVectorType | operator* (const SpatialVectorType &vec)

## Public Attributes
btMatrix3x3 | m_rotMat
btVector3 | m_trnVec

## Detailed Description

Definition at line 165 of file btSpatialAlgebra.h.

## Member Enumeration Documentation

## ◆ eOutputOperation

enum btSpatialTransformationMatrix::eOutputOperation

Enumerator
None |
Add |
Subtract |

Definition at line 170 of file btSpatialAlgebra.h.

## Member Function Documentation

## ◆ operator*()

template<typename SpatialVectorType >

SpatialVectorType btSpatialTransformationMatrix::operator* | ( | const SpatialVectorType & | vec | ) |
| inline

Definition at line 298 of file btSpatialAlgebra.h.

## ◆ transform()

template<typename SpatialVectorType >

void btSpatialTransformationMatrix::transform | ( | const SpatialVectorType & | inVec,
|  | SpatialVectorType & | outVec,
|  | eOutputOperation | outOp = `None`
| ) |  |
| inline

Definition at line 178 of file btSpatialAlgebra.h.

## ◆ transformInverse() [1/2]

template<typename SpatialVectorType >

void btSpatialTransformationMatrix::transformInverse | ( | const SpatialVectorType & | inVec,
|  | SpatialVectorType & | outVec,
|  | eOutputOperation | outOp = `None`
| ) |  |
| inline

Definition at line 224 of file btSpatialAlgebra.h.

## ◆ transformInverse() [2/2]

void btSpatialTransformationMatrix::transformInverse | ( | const btSymmetricSpatialDyad & | inMat,
|  | btSymmetricSpatialDyad & | outMat,
|  | eOutputOperation | outOp = `None`
| ) |  |
| inline

Definition at line 268 of file btSpatialAlgebra.h.

## ◆ transformInverseRotationOnly()

template<typename SpatialVectorType >

void btSpatialTransformationMatrix::transformInverseRotationOnly | ( | const SpatialVectorType & | inVec,
|  | SpatialVectorType & | outVec,
|  | eOutputOperation | outOp = `None`
| ) |  |
| inline

Definition at line 246 of file btSpatialAlgebra.h.

## ◆ transformRotationOnly()

template<typename SpatialVectorType >

void btSpatialTransformationMatrix::transformRotationOnly | ( | const SpatialVectorType & | inVec,
|  | SpatialVectorType & | outVec,
|  | eOutputOperation | outOp = `None`
| ) |  |
| inline

Definition at line 201 of file btSpatialAlgebra.h.

## Member Data Documentation

## ◆ m_rotMat

btMatrix3x3 btSpatialTransformationMatrix::m_rotMat

Definition at line 167 of file btSpatialAlgebra.h.

## ◆ m_trnVec

btVector3 btSpatialTransformationMatrix::m_trnVec

Definition at line 168 of file btSpatialAlgebra.h.

The documentation for this struct was generated from the following file:

- btSpatialAlgebra.h